List
curl --request GET \
--url https://api.nebius.cloud/billing/v1alpha1/spot-priceimport requests
url = "https://api.nebius.cloud/billing/v1alpha1/spot-price"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nebius.cloud/billing/v1alpha1/spot-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nebius.cloud/billing/v1alpha1/spot-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nebius.cloud/billing/v1alpha1/spot-price"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nebius.cloud/billing/v1alpha1/spot-price")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nebius.cloud/billing/v1alpha1/spot-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"computeInstance": {
"platform": "<string>"
},
"effectiveTime": "2023-11-07T05:31:56Z",
"price": {
"currency": "<string>",
"unitTitle": "<string>",
"value": "<string>"
},
"productTitle": "<string>",
"region": "<string>",
"skuId": "<string>"
}
],
"nextPageToken": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z"
}spot-price
List
Lists the current spot prices, one item for each SKU. Authentication is not required.
GET
/
billing
/
v1alpha1
/
spot-price
List
curl --request GET \
--url https://api.nebius.cloud/billing/v1alpha1/spot-priceimport requests
url = "https://api.nebius.cloud/billing/v1alpha1/spot-price"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nebius.cloud/billing/v1alpha1/spot-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nebius.cloud/billing/v1alpha1/spot-price",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nebius.cloud/billing/v1alpha1/spot-price"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nebius.cloud/billing/v1alpha1/spot-price")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nebius.cloud/billing/v1alpha1/spot-price")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"computeInstance": {
"platform": "<string>"
},
"effectiveTime": "2023-11-07T05:31:56Z",
"price": {
"currency": "<string>",
"unitTitle": "<string>",
"value": "<string>"
},
"productTitle": "<string>",
"region": "<string>",
"skuId": "<string>"
}
],
"nextPageToken": "<string>",
"snapshotTime": "2023-11-07T05:31:56Z"
}Query Parameters
Maximum number of items in the response. Default: 100.
Token from next_page_token of the previous response.
Response
200 - application/json
A successful response.
Current spot prices, sorted by region and sku_id.
Show child attributes
Show child attributes
Token for the next page. Empty on the last page.
Time when the prices in the response were taken. If the prices were taken at different times, the field has the earliest time.
Was this page helpful?